> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List PostgreSQL publications for an unsaved connector

> Lists logical replication publications on a PostgreSQL source using an unsaved connector configuration. Useful during connector setup to let users select an existing publication.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/postgres-publications
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.46
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/postgres-publications:
    post:
      tags:
        - Connectors
      summary: List PostgreSQL publications for an unsaved connector
      description: >-
        Lists logical replication publications on a PostgreSQL source using an
        unsaved connector configuration. Useful during connector setup to let
        users select an existing publication.
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/RouterConnectorFetchPostgresPublicationsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyPostgresPublication'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterConnectorFetchPostgresPublicationsRequest:
      properties:
        connector:
          $ref: '#/components/schemas/PayloadsConnectorPayload'
        databaseName:
          type: string
      required:
        - connector
        - databaseName
      type: object
    ListResponseBodyPostgresPublication:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsPostgresPublication'
          type: array
      required:
        - items
      type: object
    PayloadsConnectorPayload:
      properties:
        dataPlaneName:
          type: string
        defaultDatabase:
          type:
            - 'null'
            - string
        environmentUUID:
          format: uuid
          type:
            - 'null'
            - string
        label:
          type: string
        privateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sharedConfig:
          additionalProperties: {}
          type:
            - object
            - 'null'
        snapshotPrivateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sshTunnelUUID:
          format: uuid
          type:
            - 'null'
            - string
        type:
          type: string
        uuid:
          type: string
      type: object
    PayloadsPostgresPublication:
      properties:
        allTables:
          type: boolean
        name:
          type: string
        publishViaPartitionRoot:
          type: boolean
      required:
        - name
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````